<?php
/**
 * @package   DPMedia
 * @copyright Copyright (C) 2021 Digital Peak GmbH. <https://www.digital-peak.com>
 * @license   https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */

namespace DigitalPeak\Plugin\MediaAction\DPFilter\Field;

use Joomla\CMS\Form\Field\ListField;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\Registry\Registry;

class DpfilterpresetsField extends ListField
{
	protected $type = 'Dpfilterpresets';

	protected function getOptions(): array
	{
		$plugin = PluginHelper::getPlugin('media-action', 'dpfilter');

		$params = new Registry($plugin->params);

		$options = [(object)['text' => '', 'value' => '']];
		foreach ($params->get('presets', []) as $preset) {
			$options[] = (object)['text' => $preset->title, 'value' => json_encode($preset)];
		}
		return $options;
	}
}
